# Delete Network Storage - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-delete-network-storage

# Delete Network Storage

POST

/

gpu-instance

/

openapi

/

v1

/

networkstorage

/

delete

Try it

Delete Network Storage

cURL

```
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/delete \
--header 'Authorization: ' \
--header 'Content-Type: ' \
--data '
{
"storageId": ""
}
'
```

```
import requests

url = "https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/delete"

payload = { "storageId": "" }
headers = {
"Content-Type": "",
"Authorization": ""
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
method: 'POST',
headers: {'Content-Type': '', Authorization: ''},
body: JSON.stringify({storageId: ''})
};

fetch('https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'storageId' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: ",
"Content-Type: "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/delete"

payload := strings.NewReader("{\n \"storageId\": \"\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Content-Type", "")
req.Header.Add("Authorization", "")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.post("https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/delete")
.header("Content-Type", "")
.header("Authorization", "")
.body("{\n \"storageId\": \"\"\n}")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/delete")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = ''
request["Authorization"] = ''
request.body = "{\n \"storageId\": \"\"\n}"

response = http.request(request)
puts response.read_body
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-storage-id)

storageId

string

required

##

[​](#example)

Example

Request

```
curl --request POST \
--url 'https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/delete' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'Content-Type: application/json' \
--data '{
"storageId": "string"
}'
```

Response

```
{}
```

Last modified on December 23, 2024
